Name:           ring-kde
Summary:        The KDE client for the Ring communication framework
Version:        2.3.0
Release:        %mkrel 3
Group:          Graphical desktop/KDE5
License:        GPLv2+
URL:            https://ring.cx/
Source0:        http://download.kde.org/stable/ring-kde/%{version}/src/%{name}-%{version}.tar.xz
Patch0:         ring-kde-2.3.0-use-ki18n_install-for-translations.patch
Patch1:         ring-kde-2.3.0-fix-desktop-file.patch
#----------------------------------------------------
BuildRequires: kf5-macros
BuildRequires: cmake
BuildRequires: mesa-devel
BuildRequires: qtbase5-common-devel 
BuildRequires: extra-cmake-modules
BuildRequires: lib64kconfig-devel 
BuildRequires: lib64kcoreaddons-devel 
BuildRequires: lib64kf5completion-devel 
BuildRequires: lib64kf5configwidgets-devel 
BuildRequires: lib64kf5dbusaddons-devel 
BuildRequires: lib64kf5globalaccel-devel 
BuildRequires: lib64kf5i18n-devel 
BuildRequires: lib64kf5iconthemes-devel 
BuildRequires: lib64kf5notifications-devel 
BuildRequires: lib64kf5notifyconfig-devel 
BuildRequires: lib64kf5widgetsaddons-devel 
BuildRequires: lib64kf5xmlgui-devel 
BuildRequires: lib64kio-devel 
BuildRequires: lib64mesaglu1-devel 
BuildRequires: lib64qt5core-devel 
BuildRequires: lib64qt5dbus-devel 
BuildRequires: lib64qt5gui-devel 
BuildRequires: lib64qt5opengl-devel 
BuildRequires: lib64qt5printsupport-devel 
BuildRequires: lib64qt5svg-devel
BuildRequires: lib64qt5widgets-devel 
BuildRequires: lib64ringclient-devel 
#----------------------------------------------------
Requires: lib64ring0 
Requires: lib64ringclient1
Requires: libringclient-i18n 
Requires: ring-daemon
Requires: qtquickcontrols25
Requires: qtquickcontrols5

Obsoletes: sflphone
Provides: sflphone = %version-%release

%description
The KDE client for the Ring communication framework.

%files -f %{name}.lang
%_kf5_bindir/ring
%_kf5_bindir/ring-kde
%_kf5_datadir/metainfo/cx.ring.ring-kde.appdata.xml
%_kf5_applicationsdir/ring-kde.desktop
%_kf5_datadir/config.kcfg/ring-kde.kcfg
%_datadir/dbus-1/interfaces/cx.ring.ring-kde.xml
%_kf5_iconsdir/*/*/*/*
%_kf5_knotificationsdir/ring-kde.notifyrc
%dir %_kf5_datadir/kxmlgui5/ring-kde
%_kf5_datadir/kxmlgui5/ring-kde/ring-kdeui.rc
%_kf5_datadir/ring-kde/

#------------------------------------------------------------------------------

%prep
%setup -q
%apply_patches

%build
%cmake_kf5

%make_build

%install
rm -rf %buildroot
%make_install -C build

%find_lang %{name} --all-name

# Fix gzipped-svg-icon
(
cd %{buildroot}%{_iconsdir}/hicolor/scalable/apps/
zcat ring-kde.svgz > ring-kde.svg && rm -f ring-kde.svgz
)


%changelog
* Sun Aug 06 2017 bb2 <bb2> - 2.3.0-3pclos2017
- rebuild

* Sat Mar 18 2017 bb2 <bb2> - 2.3.0-2pclos2017
- fix rpm group
- fix BRs

* Sat Mar 18 2017 pp <pp> 2.3.0-1pclos2017
- imported package
